﻿@using Resources;    

			<div class="emap-sidebar-body panel-group">
                <!-- Estate info -->
				<div class="panel panel-default">
                    <!--
					<div ng-show="prefix == 'en'" class="panel-heading emap-sidebar-toggle-left" title="@Main.Close">
                        <i class="icon-circleleft" ></i>
					</div>
					<div ng-show="prefix == 'ar'" class="panel-heading emap-sidebar-toggle-right" title="@Main.Close">
                        <i class="icon-circleright" ></i>
					</div>
                        -->
					<div class="emap-sidebar-info panel-body list-group">
						<div ng-show="selected_estate != null">
							<span style="font-weight: bold;">{{selected_estate.formatted_address}}</span>
							<a class="emap-icon-link active" href="#" ng-click="showEstateDetails(selected_estate.Id)">
								<i class="icon-exclamation-sign"></i>
							</a>
						</div>	
						<div>
							<label class="control-label">@Main.Companies:</label>
                            <div class="emap-tentants-search">
                                <!--style="width:70%;display:inline-block"-->
                                <div>
                                    <div class="input-group">
                                        <input id="emap-tenants-search" type="text" placeholder="-- @Main.Select_Tenant --" class="form-control" ng-model="tenantForEstate" g-places-autocomplete custom-places="tenantsForEstate" ng-disabled="selected_estate == null">
                                        <div id="emap-tenants-dropdown" class="input-group-addon">
                                            <button type="button" class="btn dropdown-toggle" data-toggle="emap-dropdown" aria-haspopup="true" aria-expanded="false">
                                                <span class="caret"></span>
                                            </button>
                                            <ul class="dropdown-menu" ng-style="tenantsDropdownStyle">
								                <li ng-repeat="t in selected_estate.tenants" style="z-index:99999">
                                                    <a href="#" ng-click="onTenantChanged(t.Id)">{{t.Name}}</a>
								                </li>
                                            </ul>
                                        </div>
                                    </div>
                                </div>
                                <a ng-show="selected_tenant != null" class="emap-icon-link active" ng-click="showTenantDetails(selected_tenant.Id)">
                                    <span style="font-size:13px">@Main.Tenant_details<span>
                                </a>
                            </div>
						</div>	
					</div>	
				</div>	
                <!--Route-->
				<div class="panel panel-default">
					<div class="panel-heading">
						<span>@Main.Find_route:</span>
					</div>
					<div class="emap-sidebar-route panel-body list-group">

						<div class="emap-sidebar-route-from input-group" ng-show="!route.isSwap">
							<div class="input-group-addon" style="min-width:60px">@Main.From</div>
							<input type="text" class="form-control" ng-model="route.from" g-places-autocomplete custom-places="routeFrom">
                            <div class="input-group-addon" title="@Main.Geolocate">
                                <a class="emap-icon-link active" ng-click="geolocate()">
                                    <i ng-class="route.geolocationClass"></i>
                                </a>
                            </div>
						</div>
						<div class="emap-sidebar-route-to input-group" ng-show="route.isSwap">
							<div class="input-group-addon" style="min-width:60px">@Main.From</div>
							<input type="text" class="form-control" ng-model="route.from.formatted_address" readonly>
						</div>							
                        							
						<a ng-click="swapRoutePoints()"><span class="glyphicon glyphicon-sort" style="margin:5px 0 5px 25px;cursor:pointer" aria-hidden="true"></span></a>

						<div class="emap-sidebar-route-to input-group" ng-show="!route.isSwap">
							<div class="input-group-addon" style="min-width:60px">@Main.To</div>
							<input type="text" class="form-control" ng-model="route.to.formatted_address" readonly>
						</div>							
						<div class="emap-sidebar-route-from input-group" ng-show="route.isSwap">
							<div class="input-group-addon" style="min-width:60px">@Main.To</div>
							<input type="text" class="form-control" ng-model="route.to" g-places-autocomplete custom-places="routeToSwap">
                            <div class="input-group-addon" title="@Main.Geolocate">
                                <a class="emap-icon-link active" ng-click="geolocate()">
                                    <i ng-class="route.geolocationClass"></i>
                                </a>
                            </div>
						</div>
							
                        <div style="margin:15px 0 0 0">
							<button type="button" class="btn btn-routes-guide" ng-click="guideMe()" ng-disabled="route.from.formatted_address == null || route.to.formatted_address == null">@Main.Guide_Me</button>
							<button type="button" class="btn btn-routes-send" ng-click="openSmsWindow()" ng-disabled="!route.isCalculated">@Main.Send_SMS</button>
							<button type="button" class="btn btn-routes-clear" ng-click="clearRoute()" ng-disabled="!route.isCalculated">@Main.Clear_Route</button>
						</div>

                        <div class="list-group">
                            <div id="emap-route-directions"></div>
                        </div>
					</div>
				</div>								
                <!--Classification-->
				<div class="panel panel-default">
					<div class="panel-heading">
						<span>@Main.Classification:</span>
					</div>
						<div class="panel-body list-group">
							<select class="form-control"  ng-model="selected_classId" ng-options="Id as Name for (Id,Name) in classifications" ng-change="onClassificationChanged()" ng-disabled="selected_estate == null">
								<option value="">-- @Main.Select_Classification --</option>
							</select>

    <table class="table emap-legends emap-legends-mobile" ng-show="selected_classification && selected_classification.legends.length > 0">
        <tr ng-repeat="l in selected_classification.legends">
            <td><div ng-style="{{l.style}}"></div></td>
            <td>{{l.name}}</td>
        </tr>
    </table>
							
							<div ng-show="selected_classification.types.length > 0">
								<span>@Main.Subcategory_ProductType</span>
								<select class="form-control"  ng-model="selected_type" ng-options="t.Name for t in selected_classification.types" ng-change="onProductTypeChanged()">
									<option value="">-- @Main.Select_Type --</option>
								</select>								


    <table class="table emap-legends emap-legends-mobile" ng-show="selected_type != null">
        <tr">
            <td><div style="background-color:red"></div></td>
            <td>{{selected_type.Name}}</td>
        </tr>
    </table>

                                <div style="max-height:200px;overflow-y:scroll" ng-show="selected_type.tenants.length >= 5">
                                    <table class="table emap-classification-tenants">
                                        <tr ng-repeat="t in selected_type.tenants">
                                            <td><a href="#" ng-click="showTenantDetails(t.Id)" target="_blank">{{t.Name}}</a></td>
                                            <td><a href="#" ng-click="showTenantParcels(t.Id)"><i class="icon-map-marker"></i></a></td>
                                        </tr>
                                    </table>
                                </div>
                                <div ng-show="selected_type.tenants.length > 0 && selected_type.tenants.length < 5">
                                    <table class="table emap-classification-tenants">
                                        <tr ng-repeat="t in selected_type.tenants">
                                            <td><a href="#" ng-click="showTenantDetails(t.Id)" target="_blank">{{t.Name}}</a></td>
                                            <td><a href="#" ng-click="showTenantParcels(t.Id)"><i class="icon-map-marker"></i></a></td>
                                        </tr>
                                    </table>
                                </div>

							</div>
							
							<div ng-show="selected_classification.countries.length > 0">
								<span>@Main.Subcategory_Investment</span>
								<select class="form-control"  ng-model="selected_country" ng-options="c.Name for c in selected_classification.countries" ng-change="onCountryChanged()">
									<option value="">-- @Main.Select_Country --</option>
								</select>


    <table class="table emap-legends emap-legends-mobile" ng-show="selected_country != null">
        <tr">
            <td><div style="background-color:red"></div></td>
            <td>{{selected_country.Name}}</td>
        </tr>
    </table>


                                <div style="max-height:200px;overflow-y:scroll" ng-show="selected_country.tenants.length >= 5">
                                    <table class="table emap-classification-tenants">
                                        <tr ng-repeat="t in selected_country.tenants">
                                            <td><a href="#" ng-click="showTenantDetails(t.Id)" target="_blank">{{t.Name}}</a></td>
                                            <td><a href="#" ng-click="showTenantParcels(t.Id)"><i class="icon-map-marker"></i></a></td>
                                        </tr>
                                    </table>
                                </div>
                                <div ng-show="selected_country.tenants.length > 0 && selected_country.tenants.length < 5">
                                    <table class="table emap-classification-tenants">
                                        <tr ng-repeat="t in selected_country.tenants">
                                            <td><a href="#" ng-click="showTenantDetails(t.Id)" target="_blank">{{t.Name}}</a></td>
                                            <td><a href="#" ng-click="showTenantParcels(t.Id)"><i class="icon-map-marker"></i></a></td>
                                        </tr>
                                    </table>
                                </div>

							</div>
						</div>						
				</div>
			</div>
